Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.net.remoting
Interface IRemotingCallback

    public interface IRemotingCallback

Callback for asynchronous remoting calls.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

Method Summary
`void` | `errorReceived(RemotingClient client, String method, Object[] params, Throwable error)` An error occured while performing the remoting call.
`void` | `resultReceived(RemotingClient client, String method, Object[] params, Object result)` The result of a remoting call has been received.

Method Detail

### resultReceived

    void resultReceived(RemotingClient client,
                        String method,
                        Object[] params,
                        Object result)

  The result of a remoting call has been received.

  Parameters:
    `client` - Remoting client
    `method` - Remote method name
    `params` - Call parameters
    `result` - Call result

### errorReceived

    void errorReceived(RemotingClient client,
                       String method,
                       Object[] params,
                       Throwable error)

  An error occured while performing the remoting call.

  Parameters:
    `client` - Remoting client
    `method` - Remoting method
    `params` - Call parameters
    `error` - Call result

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project